*, *:before, *:after {
    box-sizing: border-box;
}

html, body {
    height: 100%;
    width: 100%;
    overflow: hidden;
}

.container {
    padding: 10px 0;
    height: 100%;
    width: 100%;
    /*background-image: url("../img/sagal15.jpg");*/
    /*background-image: url("https://www.quimicasagal.com/img/nosotros.jpg");*/
    background: rgba(145,232,66,1);
    background: -moz-linear-gradient(top, rgba(145,232,66,1) 0%, rgba(247,247,247,1) 93%, rgba(247,247,247,1) 100%);
    background: -webkit-gradient(left top, left bottom, color-stop(0%, rgba(145,232,66,1)), color-stop(93%, rgba(247,247,247,1)), color-stop(100%, rgba(247,247,247,1)));
    background: -webkit-linear-gradient(top, rgba(145,232,66,1) 0%, rgba(247,247,247,1) 93%, rgba(247,247,247,1) 100%);
    background: -o-linear-gradient(top, rgba(145,232,66,1) 0%, rgba(247,247,247,1) 93%, rgba(247,247,247,1) 100%);
    background: -ms-linear-gradient(top, rgba(145,232,66,1) 0%, rgba(247,247,247,1) 93%, rgba(247,247,247,1) 100%);
    background: linear-gradient(to bottom, rgba(145,232,66,1) 0%, rgba(247,247,247,1) 93%, rgba(247,247,247,1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#91e842', endColorstr='#f7f7f7', GradientType=0 );

    background-size: cover;
    color: black;
    font-family: "Arial";
}

.login {
    max-width: 280px;
    min-height: 100px;
    margin: 30px auto;
    background-color: rgba(185,185,185,.68);
}

.login-icon-field {
    height: 180px;
    width: 100%;
    /*background-color: red;*/
}

.login-icon {
    margin: 50px 65px;
}

.login-form {
    padding: 8px 20px 20px;
    height: 120px;
    width: 100%;
    /*background-color: green;*/
}

.row {
    display: none;
}

.username-row {
    position: relative;
    height: 40px;
    /*background-color: pink;*/
    border-bottom: 1px solid;
    margin-bottom: 10px;
}

.password-row {
    position: relative;
    height: 40px;
    /* background-color: grey;*/
    border-bottom: 1px solid;
}

.password-icon,
.user-icon {
    margin: 5px;
}

.password-icon .key-path,
.user-icon .user-path{
    fill: rgba(10,10,10,0);
    stroke: black;
    stroke-width: 3.5;
    stroke-linecap: round;
    stroke-linejoin: round;
    stroke-miterlimit: 10;
    stroke-dasharray: 300;
    stroke-dashoffset: 300;
    -webkit-animation: dash 3s .3s linear forwards;
    animation: dash 3s .3s linear forwards;
}

.user-icon .user-path {
    -webkit-animation: dash 3s .8s linear forwards;
    animation: dash 3s .8s linear forwards;
}

input {
    position: absolute;
    width: 195px;
    height: 30px;
    margin: 5px 0;
    background: transparent;
    border: none;
}

input:focus,
button:focus {
    outline: none;
}

input::-webkit-input-placeholder {
    color: gray;
}

input::-moz-placeholder {
    color: rgba(255,255,255,.4);
}

.call-to-action {
    margin: 22px 0;
    height: 120px;
    width: 100%;
    /*background-color: blue;*/
}

button {
    display: block;
    width: 240px;
    height: 40px;
    padding: 0;
    margin: 10px 20px 10px;
    font-size: 18px;
    color: white;
    background-color: #00a95c;
    border: none;
    border-radius: 20px;
    transition: background-color .10s ease-in-out;
    -webkit-user-select:none;
    -moz-user-select:none;
    -ms-user-select:none;
    user-select:none;
}

button:hover {
    background-color: #26d69a;
}

button:active {
    background-color: #1eaa7a;
}

p {
    display: inline-block;
    width: 200px;
    margin: 0 40px;
    font-size: .8rem;
    color: rgba(255,255,255,.4);
    /*background-color: yellow;*/
}

p a {
    color: #fff;
}

label,
p a:hover {
    -webkit-cursor: pointer;
    cursor: pointer;
}

@-webkit-keyframes dash {
    to {
        stroke-dashoffset: 0;
    }
}

@keyframes dash {
    to {
        stroke-dashoffset: 0;
    }
}